<?php

namespace Omnipay\Inforbank\Message;

use Omnipay\Common\Message\RedirectResponseInterface;

class PurchaseResponse extends AbstractResponse implements RedirectResponseInterface
{
    public function isSuccessful()
    {
        return false;
    }

    public function isRedirect()
    {
        return is_null($this->getError());
    }

    public function isPending()
    {
        return true;
    }

    public function getRedirectUrl()
    {
        return $this->data['redirect'];
    }

    public function getRedirectMethod()
    {
        return 'GET';
    }

    public function getRedirectData()
    {
        return null;
    }
}
